# png::packed_pixel< bits > Class Template Reference

The packed pixel class template. More...

`#include <packed_pixel.hpp>`

Inheritance diagram for png::packed_pixel< bits >:

List of all members.

## Public Member Functions

| packed_pixel (byte value=0)
| operator byte () const

## Static Public Member Functions

static size_t const | get_bit_depth ()
static byte const | get_bit_mask ()

## Detailed Description

### template<size_t bits>
class png::packed_pixel< bits >

The packed pixel class template.

See also:
  packed_gray_pixel, packed_index_pixel

## Constructor & Destructor Documentation

template<size_t bits>

png::packed_pixel< bits >::packed_pixel | ( | byte | value = `0` ) | `[inline]`

## Member Function Documentation

template<size_t bits>

png::packed_pixel< bits >::operator byte | ( | ) | const`[inline]`

template<size_t bits>

static size_t const png::packed_pixel< bits >::get_bit_depth | ( | ) | `[inline, static]`

template<size_t bits>

static byte const png::packed_pixel< bits >::get_bit_mask | ( | ) | `[inline, static]`

The documentation for this class was generated from the following file:

- packed_pixel.hpp